Bug 858842 - How set change layout key combination??
How set change layout key combination??
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 15:10 EDT by Mikhail
Modified: 2012-11-08 12:10 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-08 12:12:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (26.05 KB, image/png)
2012-09-19 15:10 EDT, Mikhail
no flags Details
screenshot (31.85 KB, image/png)
2012-09-26 22:04 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-09-19 15:10:53 EDT
Created attachment 614553 [details]
screenshot

Description of problem:
Can't set change layout key combination (config button is inactive)
Comment 1 Pravin Satpute 2012-09-20 05:04:41 EDT
this is part of control-center, changing component.
Comment 2 Matthias Clasen 2012-09-26 20:16:00 EDT
The 'config' button is only active for input methods that have their own config ui (such as ibus-hangul).

What is the 'layout key combination' that you are referring to ?
Comment 3 Mikhail 2012-09-26 22:04:43 EDT
Created attachment 617847 [details]
screenshot
Comment 4 Mikhail 2012-09-26 22:07:59 EDT
I have found that it is now going elsewhere. As you can see I have set Ctrl + Space, but it is not very convenient. I want to set Ctrl + Shift, but this is impossible.
Comment 5 Matthias Clasen 2012-09-27 08:30:57 EDT
Mikhail, if you already have 3.6.0 (should enter updates-testing today), you can try

gsettings set org.gnome.settings-daemon.peripherals.keyboard input-sources-switcher 'ctrl-shift-l'

(see
gsettings range org.gnome.settings-daemon.peripherals.keyboard input-sources-
switcher
for the possible values of that key)

UI for this will be coming soon
Comment 6 Mikhail 2012-09-29 07:16:53 EDT
ctrl-shift-l means left ctrl-shift, ctrl-shift-r means right ctrl-shift. But I want use both ctrl-shift.
Comment 7 Mikhail 2012-09-30 03:35:21 EDT
And I found that this not work when I entered password.
Comment 8 Mikhail 2012-09-30 13:47:03 EDT
Also this combination not work in search box :(
Comment 10 Rui Matos 2012-10-08 12:12:24 EDT
(In reply to comment #6)
> ctrl-shift-l means left ctrl-shift, ctrl-shift-r means right ctrl-shift. But
> I want use both ctrl-shift.

I added more combinations in http://git.gnome.org/browse/gnome-settings-daemon/commit/?id=ca32b782eda8b636e604119edc49b7da785ca40d . Should be in 3.6.1 .

As for it not working when typing into gnome-shell widgets it's a deeper issue which we can't fix in a non-hacky way yet. We'll hopefully get it fixed to 3.8, see https://bugzilla.gnome.org/show_bug.cgi?id=643111 .

Note You need to log in before you can comment on or make changes to this bug.